html,
body {
  margin: 0px;
  height: 100%;
  font-family: Ubuntu, Arial, Helvetica, sans-serif;
  position: relative;
  background-color: #f6f7fb !important;
}

* {
  box-sizing: border-box;
}

.App {
  position: relative;
  background-color: #f6f7fb;
  height: 100%;
}

/* HEADER  */

.Header {
  display: flex;
  justify-content: flex-end;
  position: relative;
  width: 100%;
  height: 115px;
  box-shadow: rgba(0, 0, 0, 0.07) 0px 10px 20px;
  background: rgb(255, 255, 255);
}

.Header .logo {
  width: 45px;
  position: absolute;
  top: 35px;
  left: 35px;
}

.logo img {
  width: 100%;
}

div.Header {
  position: relative;
}

.Header nav {
  display: flex;
  align-self: center;
}

ul.ul-links {
  display: flex;
  justify-content: space-between;
  align-items: center;
  list-style: none;
  padding: 0px;
  margin: 0px;
}

ul.ul-links-menu {
  display: none;
}

ul.ul-links li {
  margin: 0.5rem 1.5rem;
}

nav.nav-links a.a-links {
  text-decoration: none;
  color: #000000;
}

a.a-links p {
  margin-bottom: 0px;
  border: 1px solid transparent;
}

a.a-links p:hover {
  border-bottom: 1px solid #5c5bf5;
  color: #5c5bf5;
}

ul.ul-links button.btn-form-popup {
  margin: 0rem 3rem 0rem 1rem;
  background-color: #5c5bf5;
  color: #ffffff;
  transition: 0.5s;
}

ul.ul-links button.btn-form-popup:hover {
  color: #ffffff;
  background-color: #6c757d;
  border-color: #6c757d;
  transform: scale(1.05);
}

div.modal-content {
  position: relative;
  padding: 3rem 1rem 3rem 1rem;
  background-color: #5c5bf5;
  color: #ffffff;
  border: 1px solid #5c5bf5;
  box-shadow: 0px 0px 20px 0px rgba(24, 39, 241, 0.562);
}

div.modal-header {
  border-bottom: 0px;
  justify-content: center;
}

.modal-header h5 {
  margin-bottom: 0px;
}

div.modal-header button.close {
  position: absolute;
  right: 1.5rem;
  top: 1rem;
}

div.modal-content input.input-modal {
  background-color: #4747cd;
  border: none;
  color: #ffffff;
  height: calc(2.0em + 0.75rem + 2px);
}

button#close-menu-btn {
  display: none;
  position: absolute;
  top: 2.3rem;
  right: 2rem;
  background-color: transparent;
  border: 1px solid #5c5bf5;
  border-radius: 5px;
  outline: none;
  padding: 0px;
}

button#close-menu-btn:active {
  box-shadow: 3px 3px 15px #5c5bf5;
}

span.close-menu {
  transform: rotateZ(180deg);
  transform: rotateY(180deg);
  line-height: 1.5;
  font-size: 1.7rem;
  color: #5c5bf5 !important;
}

/* HOMEPAGE  */

div.HomePage,
div.Details {
  padding-left: 13%;
  padding-right: 13%;
}

/* CARDS  */

.Card {
  padding-bottom: 30px;
}

div.card {
  border: 0px;
  border-radius: 1rem;
}

.card-footer:last-child {
  border-radius: 0 0 calc(1rem - 0px) calc(1rem - 0px) !important;
}

.card-a {
  color: #000000;
}

.card-a:hover {
  text-decoration: none !important;
  color: #000000;
}

img.card-img-top {
  width: 60%;
  align-self: center;
  padding-top: 3rem;
  padding-bottom: 4rem;
}

div.card-footer {
  background-color: #ffffff;
  text-align: center;
}

.card-gray {
  background-color: #d4d6d8 !important;
  /* background-color: #7c7cfa !important; */
  border-radius: 0rem !important;
  /* box-shadow: 15px 15px 5px #4747cd; */
  box-shadow: 15px 15px 5px #6c757d;
}

.body-gray {
  position: relative;
  margin: 1rem;
  /* color: #4747cd; */
  color: #6c757d;
  background-color: #eaeaf0 !important;
  /* background-color: #b5b5f5 !important; */
  text-shadow: 1px 1px #000000;
}

.small-gray {
  color: #ffffff;
  position: absolute;
  right: 1rem;
  top: 0.5rem;
}

/* DETAIL */

.card-detail {
  margin-bottom: 30px;
  transition: 0.5s;
}

.card-detail:hover {
  transform: scale(1.03);
  box-shadow: 15px 15px 15px #6c757d;
}

.h5-title {
  display: inline-block;
  font-size: 1.1rem;
}

p.detail-body,
p.card-text {
  margin-top: 15px;
  text-shadow: none;
}

span.number {
  margin-right: 0.5rem;
  color: #ffffff;
}

span.material-icons {
  margin-left: 0.5rem;
  margin-right: 0.5rem;
  color: fuchsia;
}

small.date {
  background-color: #6c757d;
  /* background-color: #4747cd; */
  color: #ffffff;
  padding: 3px 5px;
}

button.show-more {
  position: relative;
  width: 100%;
  color: #ffffff;
  text-shadow: 1px 1px #000000;
  text-align: left;
  /* background-color: #5c5bf5; */
  background-color: #6c757d;
}

button.show-more:hover {
  color: #ffffff;
}

button.show-more:hover span {
  color: #ffffff;
}

.show-more span {
  position: absolute;
  right: 0rem;
}

/* BANNER */

.Banner {
  margin-top: 3rem;
  margin-bottom: 3rem;
  background-color: #5c5bf5;
  color: #ffffff;
  border-radius: 1rem;
}

.row-banner {
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  padding-top: 10%;
  padding-bottom: 10%;
}

.col-banner {
  text-align: center;
}

.row-banner h2 {
  margin-bottom: 2rem;
}

input.input-email {
  background-color: #4747cd;
  border: none;
  color: #ffffff;
  height: calc(2.0em + 0.75rem + 2px);
}

input.form-control::placeholder {
  color: #ffffff;
}

input.form-control:focus {
  background-color: #4747cd;
  color: #ffffff;
}

.input-group-append .btn {
  background-color: #ffffff;
  color: #000000;
}

/* FILTERS */

.Filters {
  position: relative;
}

.Filters div.col-filters {
  position: relative;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  margin-bottom: 3rem;
}

.filter button.btn {
  padding: 5px 18px;
  background-color: transparent;
  border: 1px solid #6c757d;
  border-radius: 18px;
  color: #6c757d;
}

div.filter {
  margin-bottom: 30px;
  margin-left: 15px;
  margin-bottom: 15px;
}

.filter button.btn:hover,
.filter button.active {
  background-color: #6c757d;
  color: #ffffff;
}

div.off-on {
  position: absolute;
  right: 13%;
}

label.switcher {
  position: relative;
  display: inline-block;
  width: 100px;
  height: 50px;
  margin-bottom: 0rem;
}

label.switcher input {
  opacity: 0;
  width: 0;
  height: 0;
}

span.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #6c757d;
  transition: .4s;
  border-radius: 50px;
}

span.slider:before {
  position: absolute;
  content: "";
  height: 40px;
  width: 40px;
  left: 5px;
  bottom: 5px;
  background-color: white;
  transition: .4s;
  border-radius: 50%;
}

input:checked+span.slider {
  background-color: #5c5bf5;
}

input:focus+span.slider {
  box-shadow: 0 0 1px #5c5bf5;
}

input:checked+span.slider:before {
  transform: translateX(50px);
}

/* NOT-FOUND */

div.not-found {
  height: 50vh;
}

h2.h2-notfound {
  padding: 3rem;
  color: #4747cd;
  letter-spacing: 1px;
  text-shadow: 2px 2px 2px #000000;
}

span.smile {
  font-size: 3.5rem;
  margin: 2rem;
  color: #4747cd;
}

/* RESPONSIVENESS  */

@media only screen and (max-width: 1190px) {
  .Filters div.col-filters {
    justify-content: center;
  }
}

@media only screen and (max-width: 860px) {
  button#close-menu-btn {
    display: block;
  }

  ul.ul-links {
    display: none;
  }

  ul.ul-links-menu {
    list-style: none;
    position: absolute;
    top: 115px;
    left: 0px;
    background-color: rgba(0, 0, 0, 0.8);
    z-index: 10;
    padding: 1rem 2rem;
    width: 100%;
  }

  a.a-links-menu p {
    color: #ffffff;
    display: inline-block;
  }

  ul.ul-links-menu li {
    margin: 1.5rem 1.5rem;
  }

  ul.ul-links-menu button.btn-form-popup {
    margin: 0px;
  }

  nav.nav-links-menu a.a-links {
    text-decoration: none;
    color: #000000;
  }

  a.a-links-menu p {
    margin-bottom: 0px;
    border: 1px solid transparent;
  }

  a.a-links-menu p:hover {
    border-bottom: 1px solid #5c5bf5;
    color: #5c5bf5;
  }

  ul.ul-links-menu button.btn-form-popup {
    background-color: #5c5bf5;
    color: #ffffff;
    transition: 0.5s;
  }

  ul.ul-links-menu button.btn-form-popup:hover {
    color: #ffffff;
    background-color: #6c757d;
    border-color: #6c757d;
    transform: scale(1.05);
  }

  div.HomePage,
  div.Details {
    padding-left: 7%;
    padding-right: 7%;
  }

  div.off-on {
    position: absolute;
    right: 7%;
  }

  .row-banner h2 {
    font-size: 1.5rem;
  }

}

@media only screen and (max-width: 760px) {
  div.col-filters h5 {
    margin-bottom: 3rem;
  }

  div.off-on {
    position: absolute;
    top: 12%;
  }

  input.input-email, div.modal-content input.input-modal {
    height: calc(1.5em + 0.75rem + 2px);
  }
}

@media only screen and (max-width: 500px) {
  .row-banner h2 {
    font-size: 1.3rem;
  }

  .col-banner p, .card-body p {
    font-size: 14px;
  }

  input.input-email, .input-group-append button, input.input-modal {
    font-size: 0.8rem;
  }

  label.switcher {
    width: 80px;
    height: 40px;
  }

  span.slider {
    border-radius: 40px;
  }

  span.slider:before {
    height: 30px;
    width: 30px;
  }

  input:checked+span.slider:before {
    transform: translateX(40px);
  }
}

@media only screen and (max-width: 350px) {
  .row-banner h2 {
    font-size: 1.1rem;
  }

  .modal-text {
    font-size: 1rem;
  }

  .modal-body {
    font-size: 0.8rem;
    padding: 0.1rem !important;
  }

  .col-banner div.input-group, .modal-body div.input-group {
  justify-content: center;
  }

  input.input-email, .input-group-append button, input.input-modal {
    width: 100% !important;
  }

  .input-group-append button {
    margin-top: 0.5rem;
    border-top-left-radius: 0.25rem !important;
    border-bottom-left-radius: 0.25rem !important;
  }
}
